<?php
/**
 * Plugin Name: 	HM Testimonial
 * Plugin URI:		http://wordpress.org/plugins/hm-testimonial/
 * Description: 	This Plugin will display testimonials in your website page or post by using the shortcode: [hm_testimonial]
 * Version: 		1.1
 * Author:		    HM Plugin
 * Author URI:	    https://hmplugin.com
 * License:         GPL-2.0+
 * License URI:     http://www.gnu.org/licenses/gpl-2.0.txt
*/

if ( ! defined( 'ABSPATH' ) ) {
    exit;
}

if ( function_exists( 'hmt_fs' ) ) {

    hmt_fs()->set_basename( true, __FILE__ );

} else {

    if ( ! class_exists('HMT_Master') ) {

        define('HMT_PATH', plugin_dir_path(__FILE__));
        define('HMT_ASSETS', plugins_url('/assets/', __FILE__));
        define('HMT_SLUG', plugin_basename(__FILE__));
        define('HMT_PRFX', 'hmt_');
        define('HMT_CLS_PRFX', 'cls-hmt-');
        define('HMT_TXT_DOMAIN', 'hm-testimonial');
        define('HMT_VERSION', '1.1');

        require_once HMT_PATH . '/lib/freemius-integrator.php';
        require_once HMT_PATH . 'inc/' . HMT_CLS_PRFX . 'master.php';

        $hmt = new HMT_Master();
        $hmt->hmt_run();

    }
}